> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# List DSGroups

GET https://api-d.docusign.net/Management/v2.1/organizations/{organizationId}/accounts/{accountId}/dsgroups

Returns a list of DSGroups.

[Required authentication scopes](/docs/admin-api/admin101/auth/): `user_read`.

### Related topics

- [How to create a new active user for CLM and eSignature](/docs/admin-api/how-to/create-active-clm-esign-user/)

Reference: https://developers.docusign.com/docs/admin-api/reference/usermanagement/multiproductusermanagement/getdsgroups

## Authentication

- `Authorization` header (bearer token, required) — OAuth2 Access code Grant

## Servers

- `https://api-d.docusign.net/Management` (Demo, default)
- `https://api.docusign.net/Management` (Production)

## Request

### Path parameters

- `organizationId` (string, required) — The organization ID GUID
- `accountId` (string, required) — The account ID GUID

### Query parameters

- `page` (integer, optional) — Start page of dsgroups
- `page_size` (integer, optional) — Page size of dsgroups

## Response

### 200

OK

- `page` (integer, optional) — The page number.
- `page_size` (integer, optional) — The number of items per page.
- `total_count` (integer, optional)
- `account_id` (string, optional) — Select users that are members of the specified account. At least one of `email`, `account_id` or `organization_reserved_domain_id` must be specified.
- `ds_groups` (list of DSGroupResponse, optional)

## Types

### DSGroupResponse

- `ds_group_id` (string, optional)
- `account_id` (string, optional) — Select users that are members of the specified account. At least one of `email`, `account_id` or `organization_reserved_domain_id` must be specified.
- `source_product_name` (string, optional)
- `group_id` (string, optional)
- `group_name` (string, optional)
- `description` (string, optional)
- `is_admin` (boolean, optional)
- `last_modified_on` (datetime, optional)
- `user_count` (integer, optional)
- `external_account_id` (long, optional)
- `account_name` (string, optional)
- `is_managed_by_scim` (boolean, optional)

## Examples

**Response**

```json
{
  "page": 1,
  "page_size": 1,
  "total_count": 1,
  "account_id": "00000000-0000-0000-0000-000000000000",
  "ds_groups": [
    {
      "ds_group_id": "00000000-0000-0000-0000-000000000000",
      "account_id": "00000000-0000-0000-0000-000000000000",
      "source_product_name": "string",
      "group_id": "string",
      "group_name": "string",
      "description": "string",
      "is_admin": true,
      "last_modified_on": "2024-01-15T09:30:00Z",
      "user_count": 1,
      "external_account_id": 1,
      "account_name": "string",
      "is_managed_by_scim": true
    }
  ]
}
```